DUNE-INTERNAL(1)

NAME

dune-internal

SYNOPSIS

dune internal COMMAND …

COMMANDS

bootstrap-info [OPTION]…
    Print the generated bootstrap info for Dune itself.

digest-db COMMAND …
    Inspect Dune's persistent digest database.

dump [OPTION]… FILE
    Dump the contents of a file stored in Dune's persistent database.

latest-lang-version [OPTION]…

sexp-pp [--format=FORMAT] [OPTION]… [FILE]
    Pretty print s-expressions read from stdin or a file.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

dune internal exits with:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

SEE ALSO

dune(1)